# Minitch
Minitch is a very tiny cli itch.io client to install and update games.

## Installation
Clone this repository and install requirements

### via pip
```bash
pip install --user -r requirements.txt
```

### via pipenv
```bash
pipenv install
```

## Usage
If you have installed via pipenv, you have to do pipenv run before all commands (or use pipenv shell)

### Configure your API key
Get your API Key from the settings on itch.io website
```bash
./minitch.py config --api_key <YOUR API KEY HERE>
```

### Search for games
```bash
./minitch.py search <QUERY>
```

### Install game
```bash
./minitch.py install <GAME ID>
```

### Run game
```bash
./minitch.py run <GAME ID>
```
As itch.io has no information about the executable that should be run, you have to set the executable manually for the first time you run the game (relative to the install path):
```bash
./minitch.py run <GAME ID> --executable path/to/executable
```
To check for updates before running do:
```bash
./minitch.py run <GAME ID> --update
```